Bug 250425 - games/chocolate-doom: update to 3.0.1
Summary: games/chocolate-doom: update to 3.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jason E. Hale
URL: https://nvd.nist.gov/vuln/detail/CVE-...
Keywords: buildisok, security
Depends on:
Blocks:
 
Reported: 2020-10-17 23:35 UTC by jakub_lach
Modified: 2021-01-22 09:44 UTC (History)
2 users (show)

See Also:


Attachments
dir diff (1.23 KB, patch)
2020-10-17 23:35 UTC, jakub_lach
jakub_lach: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jakub_lach 2020-10-17 23:35:30 UTC
Created attachment 218847 [details]
dir diff

Simple version bump.
Comment 1 Automation User 2020-10-18 03:50:34 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/204046491
Comment 2 Fernando Apesteguía freebsd_committer 2020-10-19 14:29:01 UTC
^Triage: [tags] in issue Titles are deprecated.

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]


Thanks!
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-19 17:42:03 UTC
This is a point release that fixes a security vulnerability (CVE-2020-14983). An unchecked field in the Chocolate Doom server logic  could allow a malicious attacker to trigger arbitrary code execution  against Chocolate Doom servers.
Comment 4 Jason E. Hale freebsd_committer 2021-01-22 09:15:30 UTC
I'll take it.
Comment 5 commit-hook freebsd_committer 2021-01-22 09:38:40 UTC
A commit references this bug:

Author: jhale
Date: Fri Jan 22 09:37:38 UTC 2021
New revision: 562283
URL: https://svnweb.freebsd.org/changeset/ports/562283

Log:
  games/chocolate-doom: Update to 3.0.1

  PR:		250425
  Submitted by:	<jakub_lach@mailplus.pl> (maintainer)
  MFH:		2021Q1
  Security:	35aef72c-5c8e-11eb-8309-4ccc6adda413
  Security:	CVE-2020-14983

Changes:
  head/games/chocolate-doom/Makefile
  head/games/chocolate-doom/distinfo
Comment 6 commit-hook freebsd_committer 2021-01-22 09:39:41 UTC
A commit references this bug:

Author: jhale
Date: Fri Jan 22 09:38:58 UTC 2021
New revision: 562284
URL: https://svnweb.freebsd.org/changeset/ports/562284

Log:
  MFH: r562283

  games/chocolate-doom: Update to 3.0.1

  PR:		250425
  Submitted by:	<jakub_lach@mailplus.pl> (maintainer)
  Security:	35aef72c-5c8e-11eb-8309-4ccc6adda413
  Security:	CVE-2020-14983

Changes:
_U  branches/2021Q1/
  branches/2021Q1/games/chocolate-doom/Makefile
  branches/2021Q1/games/chocolate-doom/distinfo
Comment 7 Jason E. Hale freebsd_committer 2021-01-22 09:44:17 UTC
Committed, thanks!